Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.universe.server
Class UniverseLocalServer

    java.lang.Object
      things.universe.server.UniverseLocalServer

All Implemented Interfaces:
  UniverseServer

    public class UniverseLocalServer

extends java.lang.Object
implements UniverseServer

Universe server management class. There is no reason why anything other than the universe system should use this.

Version:
  1.0

  Version History

Author:
  Erich P. Gatejen

Field Summary
`UniverseID` | `id`
`Clearance` | `requiredClearance`
`java.lang.String` | `root`

Constructor Summary
`UniverseLocalServer()`

Method Summary
`Universe` | `getAccessor()` Manufacture an accessor to a universe.
`Clearance` | `getClearance()` Get the required clearance.
`UniverseID` | `getID()` Return the ID of this Universe

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### root

    public java.lang.String root

### id

    public UniverseID id

### requiredClearance

    public Clearance requiredClearance

Constructor Detail

### UniverseLocalServer

    public UniverseLocalServer()

Method Detail

### getAccessor

    public Universe getAccessor()
                         throws UniverseException

  Manufacture an accessor to a universe.

  Specified by:
    `getAccessor` in interface `UniverseServer`
  Returns:
    a Universe
  Throws:
    `UniverseException`

### getID

    public UniverseID getID()

  Return the ID of this Universe

  Specified by:
    `getID` in interface `UniverseServer`
  Returns:
    UniverseID of this universe

### getClearance

    public Clearance getClearance()

  Get the required clearance.

  Specified by:
    `getClearance` in interface `UniverseServer`
  Returns:
    the Clearance.
  See Also:
    `Clearance`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.